Package org.eclipse.birt.report.model.api.simpleapi

# Class SimpleElementFactory

java.lang.Object
org.eclipse.birt.report.model.api.simpleapi.SimpleElementFactory

public class SimpleElementFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`SimpleElementFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ISimpleElementFactory`
`getInstance()`
Returns the factory instance.
`static void`
`setInstance(ISimpleElementFactory inFactory)`
Sets the factory instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleElementFactory

public SimpleElementFactory()

## Method Details

### setInstance

public static void setInstance(ISimpleElementFactory inFactory)
Sets the factory instance.

Parameters:
  `inFactory` - the factory instance

### getInstance

public static ISimpleElementFactory getInstance()
Returns the factory instance.

Returns:
  the factory